# MSP::CCS::AlbersEqualAreaConic Class Reference

`#include <AlbersEqualAreaConic.h>`

Inheritance diagram for MSP::CCS::AlbersEqualAreaConic:

List of all members.

## Public Member Functions

| AlbersEqualAreaConic (double ellipsoidSemiMajorAxis, double ellipsoidFlattening, double centralMeridian, double originLatitude, double standardParallel1, double standardParallel2, double falseEasting, double falseNorthing)
| AlbersEqualAreaConic (const AlbersEqualAreaConic &aeac)
| ~AlbersEqualAreaConic (void)
AlbersEqualAreaConic & | operator= (const AlbersEqualAreaConic &aeac)
MapProjection6Parameters * | getParameters () const
MSP::CCS::MapProjectionCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::MapProjectionCoordinates *mapProjectionCoordinates)

## Detailed Description

Definition at line 111 of file AlbersEqualAreaConic.h.

## Constructor & Destructor Documentation

AlbersEqualAreaConic::AlbersEqualAreaConic | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening,
|  | double | centralMeridian,
|  | double | originLatitude,
|  | double | standardParallel1,
|  | double | standardParallel2,
|  | double | falseEasting,
|  | double | falseNorthing |
| ) |  |  |

Definition at line 141 of file AlbersEqualAreaConic.cpp.

AlbersEqualAreaConic::AlbersEqualAreaConic | ( | const AlbersEqualAreaConic & | aeac | ) |

Definition at line 277 of file AlbersEqualAreaConic.cpp.

AlbersEqualAreaConic::~AlbersEqualAreaConic | ( | void |  | ) |

Definition at line 300 of file AlbersEqualAreaConic.cpp.

## Member Function Documentation

MSP::CCS::MapProjectionCoordinates * AlbersEqualAreaConic::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates | ) |

Definition at line 357 of file AlbersEqualAreaConic.cpp.

MSP::CCS::GeodeticCoordinates * AlbersEqualAreaConic::convertToGeodetic | ( | MSP::CCS::MapProjectionCoordinates * | mapProjectionCoordinates | ) |

Definition at line 425 of file AlbersEqualAreaConic.cpp.

MapProjection6Parameters * AlbersEqualAreaConic::getParameters | ( |  | ) | const

Definition at line 333 of file AlbersEqualAreaConic.cpp.

AlbersEqualAreaConic & AlbersEqualAreaConic::operator= | ( | const AlbersEqualAreaConic & | aeac | ) |

Definition at line 305 of file AlbersEqualAreaConic.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/albers/AlbersEqualAreaConic.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/albers/AlbersEqualAreaConic.cpp